# TdApi.ShareUserWithBot (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ShareUserWithBot

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ShareUserWithBot

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ShareUserWithBot

Enclosing class:
  TdApi

public static final class TdApi.ShareUserWithBot extends TdApi.Function<TdApi.Ok>
Shares a user after pressing a keyboardButtonTypeRequestUser button with the bot. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`buttonId`
Identifier of the button.
`long`
`chatId`
Identifier of the chat with the bot.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Identifier of the message with the button.
`boolean`
`onlyCheck`
Pass true to check that the user can be shared by the button instead of actually sharing them.
`long`
`sharedUserId`
Identifier of the shared user.

## Constructor Summary

Constructors
Constructor
Description
`ShareUserWithBot()`
Shares a user after pressing a keyboardButtonTypeRequestUser button with the bot.
`ShareUserWithBot(long chatId, long messageId, int buttonId, long sharedUserId, boolean onlyCheck)`
Shares a user after pressing a keyboardButtonTypeRequestUser button with the bot.
`ShareUserWithBot(DataInput input)`
Shares a user after pressing a keyboardButtonTypeRequestUser button with the bot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat with the bot.

### messageId

public long messageId
Identifier of the message with the button.

### buttonId

public int buttonId
Identifier of the button.

### sharedUserId

public long sharedUserId
Identifier of the shared user.

### onlyCheck

public boolean onlyCheck
Pass true to check that the user can be shared by the button instead of actually sharing them.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ShareUserWithBot

public ShareUserWithBot()
Shares a user after pressing a keyboardButtonTypeRequestUser button with the bot. Returns `Ok`

### ShareUserWithBot

public ShareUserWithBot(long chatId, long messageId, int buttonId, long sharedUserId, boolean onlyCheck)
Shares a user after pressing a keyboardButtonTypeRequestUser button with the bot. Returns `Ok`

Parameters:
  `chatId` - long Identifier of the chat with the bot.
  `messageId` - long Identifier of the message with the button.
  `buttonId` - int Identifier of the button.
  `sharedUserId` - long Identifier of the shared user.
  `onlyCheck` - boolean Pass true to check that the user can be shared by the button instead of actually sharing them.

### ShareUserWithBot

public ShareUserWithBot(DataInput input) throws IOException
Shares a user after pressing a keyboardButtonTypeRequestUser button with the bot. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`